// pages/home/index.ts
const app = getApp<IAppOption>();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    height: 0,
    videoSrc: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },


  loadimage(e: WechatMiniprogram.CustomEvent) {
    const width: number = e.detail.width;
    const height: number = e.detail.height;
    this.setData({
      height: 750 * (height / width)
    })
  },

  getPay() {
    app.createOrder({
      success: (res: any) => {
        console.log('支付：', res);
        wx.requestPayment({
          timeStamp: res.timeStamp,
          nonceStr: res.nonceStr,
          package: res.package,
          paySign: res.paySign,
          signType: res.signType,
          success(res) {
            console.log("pay--->", res);
          },
          fail(err) {
            console.log("err---> ", err);
          }
        })
      },
    })

  },
  getPhoneNumber(e: WechatMiniprogram.CustomEvent) {
    console.log(e)
    app.getPhone({
      data: {
        code: e.detail.code
      },
      header: {},
      success: () => { }
    })
  },
  face() {
    wx.navigateTo({
      url: "/pages/faceRecognition/index"
    })
  },
  faceVK(){
    wx.navigateTo({
      url: "/pages/faceRecognitionVk/index"
    })
  },
  tonamtve() {
    wx.navigateTo({
      url: "/pages/index/index"
    })
  },
  getVideo() {
    app.getVideo({
      success: (res: any) => {
        this.setData({
          videoSrc: res.url
        });
        wx.downloadFile({
          url: res.url,
          success: (res) =>{
            wx.saveVideoToPhotosAlbum({
              filePath: res.tempFilePath,
              success: () => {
                wx.showToast({
                  title: "保存成功",
                  icon: "none"
                })
              }
            })
          }
        })
      }
    })
  },
})